### Name: BigBang
### Title: Represents the ensemble of the results of evolving several Galgo
###   objects
### Aliases: BigBang
### Keywords: classes programming methods

### ** Examples

   cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=1000),5))
   ni <- Niche(chromosomes=newRandomCollection(cr, 10))
   wo <- World(niches=newRandomCollection(ni,2))
   ga <- Galgo(populations=newRandomCollection(wo,1), goalFitness = 0.75,
                                callBackFunc=plot,
               fitnessFunc=function(chr, parent) 5/sd(as.numeric(chr)))
 
   #evolve(ga) ## not needed here

   bb <- BigBang(galgo=ga, maxSolutions=10, maxBigBangs=10)
   blast(bb) 
   ## it performs 10 times evolve() onto ga object
   ## every time, it reinitilize and randomize
   ## finally, the results are saved.
   plot(bb)
 
   #it is missing a microarray classification example
 


