### Name: forwardSelectionModels.BigBang
### Title: Gets the ``best'' models using top-ranked genes and a
###   forward-selection strategy
### Aliases: forwardSelectionModels.BigBang BigBang.forwardSelectionModels
###   forwardSelectionModels.BigBang forwardSelectionModels,BigBang-method
### Keywords: methods internal methods

### ** Examples

   #bb is a BigBang object
   fsm <- forwardSelectionModels(bb)
   fsm
   names(fsm)
   heatmapModels(fsm, subset=1)
   fsm <- forwardSelectionModels(bb, minFitness=0.9,
   fitnessFunc=bb$galgo$fitnessFunc)
   heatmapModels(fsm, subset=1)
   pcaModels(fsm, subset=1)
   fitnessSplits(bb, chromosomes=list(fsm$models[[1]]))
 


