### Name: maxFitness.Niche
### Title: Returns the fitness of the maximum chromosome in the niche
### Aliases: maxFitness.Niche Niche.maxFitness maxFitness.Niche
###   maxFitness,Niche-method
### Keywords: methods internal methods

### ** Examples

  cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=1000),5))
  cr
  ni <- Niche(chromosomes = newRandomCollection(cr, 10))
  ni$fitness <- 1:10/10 # tricky fitness
  refreshStats(ni)      # compute best and max chromosomes
  summary(ni)
  best(ni)
  ni$bestChromosome     # the same
  max(ni)               # the same in this case
  bestFitness(ni)       # 1
  maxtFitness(ni)       # 1



