### Name: saveObject.BigBang
### Title: Saves the BigBang object into a file in a suitable format
### Aliases: saveObject.BigBang BigBang.saveObject saveObject.BigBang
###   saveObject,BigBang-method
### Keywords: methods internal methods

### ** Examples

   cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=1000),5))
   ni <- Niche(chromosomes=newRandomCollection(cr, 10))
   wo <- World(niches=newRandomCollection(ni,2))
   ga <- Galgo(populations=newRandomCollection(wo,1), goalFitness = 0.75,
               callBackFunc=plot,
               fitnessFunc=function(chr, parent) 5/sd(as.numeric(chr)))
 
   #evolve(ga) ## not needed here

   bb <- BigBang(galgo=ga, maxSolutions=10, maxBigBangs=10)
   blast(bb)
   saveObject(bb, file="bb.Rdata", mode="unObject+compress")
 


